#ifndef _CBS_H
#define _CBS_H
#include <stdio.h>
#include <stdlib.h>
#include <gdbm.h>
#include <errno.h>
#include <time.h>
#include <string.h>
#include <ctype.h>


struct appl_dat {
	/* the first fields are taken from the appl.dat file */
	char	name_licensee[40];
	char	text_street[35];
	char	text_pobox[20];
	char	city[20];
	char	state[2];
	char	zipcode[9];
	time_t	date_of_birth;
	time_t	date_issue;
	time_t	date_expire;
	time_t	date_last_change;
	/* these remaining fields are taken from the indiv.dat file */
	char	type_op_class;
	char	type_prev_op_class;
	char	callsign_prev[10];
};

typedef struct appl_dat appl_dat;


/* Values for type_applicant */

#define TYPE_APP_ALIEN		'A'	/* alien */
#define TYPE_APP_INDIVIDUAL	'I'	/* individual */
#define TYPE_APP_RACES		'R'	/* races */
#define TYPE_APP_CLUB		'C'	/* club */
#define TYPE_APP_MILITARY	'M'	/* military recreation */


/* Values for type_purpose */

#define TYPE_PUR_NEW		'A'	/* new license */
#define TYPE_PUR_CLASSCHANGE	'B'	/* change existing class */
#define TYPE_PUR_NAMECHANGE	'C'	/* change name */
#define TYPE_PUR_ADDRCHANGE	'D'	/* change mailing address */
#define TYPE_PUR_CALLCHANGE	'E'	/* change callsign */
#define TYPE_PUR_RENEWAL	'F'	/* renewal on form 610 */
#define TYPE_PUR_ADDRECORD	'G'	/* add record (fcc internal) */
#define TYPE_PUR_DUPREQUEST	'H'	/* duplicate license request */
#define TYPE_PUR_ISSUECHANGE	'I'	/* change Issue/Expiration Date */
#define TYPE_PUR_SUPERCEDE	'J'	/* supercede */
#define TYPE_PUR_CORRECTION	'K'	/* fcc internal correction code */
#define TYPE_PUR_DELETE		'L'	/* delete */
#define TYPE_PUR_RENEWALR	'N'	/* renewal on form 610R */
#define TYPE_PUR_RENEWALB	'O'	/* renewal on form 610B */
#define TYPE_PUR_MODIFYB	'P'	/* modification on form 610B */
#define TYPE_PUR_RESTOREBOTH	'Q'	/* restore both database and pending */
#define TYPE_PUR_RESTORE	'R'	/* restore database */
#define TYPE_PUR_SPECIAL	'S'	/* special callsign change */
#define TYPE_PUR_MYSTERY	'M'	/* no idea! */
#define TYPE_PUR_UNKNOWN	' '	/* no idea! */


/* Values for type_op_class and type_prev_op_class */

#define TYPE_OP_NOVICE		'N'	/* novice */
#define TYPE_OP_TECHNICIAN	'T'	/* technician */
#define TYPE_OP_TECHNICIANPLUS	'P'	/* technician plus */
#define TYPE_OP_GENERAL		'G'	/* general */
#define TYPE_OP_ADVANCED	'A'	/* advanced */
#define TYPE_OP_EXTRA		'E'	/* extra */
#define TYPE_OP_UNKNOWN		' '	/* unknown */


/* pathlists */

#define _PATH_CALLBOOK "/usr/local/bin/callbook"
#define _PATH_DATABASE "/usr/callbook/callsign_database"
#define _PATH_APPL_FILE "/usr/callbook/appl.dat"
#define _PATH_INDIV_FILE "/usr/callbook/indiv.dat"


/* Misc types */

#define NULLFILE ((FILE *)0)
#define NULLCHAR ((char *)0)

#endif	/* _CBS_H */


